Bug 135119 - Support for WTK 3.0
Support for WTK 3.0
Status: RESOLVED INVALID
Product: javame
Classification: Unclassified
Component: -- Other --
6.x
All All
: P1 (vote)
: 6.x
Assigned To: _ tboudreau
issues@mobility
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 10:08 UTC by Karol Harezlak
Modified: 2010-04-29 14:03 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Harezlak 2008-05-15 10:08:07 UTC
Integrating with WTK 3.0 (MIDP 3, CDC)

    * Changes in Java ME platform support (includes MIDP 3, CDC related integration)
    * 2w/1p

Profiler integration (CDC), includes on device profiling

    * 4w/1p

Profiler integration (CLDC - Nokia, Sony Ericsson), includes on device profiling

    * 4w/1p each ?, can be shared with partners, platform offering

Tools integration

    * WTK 3.0 will be be built on top of NetBeans platform, some parts can be same for both NetBeans Mobility and WTK 3.0
Comment 1 _ tboudreau 2008-11-25 22:56:51 UTC
3.0 platform will not be released in 7.0 timeframe.  Will try to address all needs for WTK 3.0 in time for 7.0, but not
committing to it since it is not strictly necessary, AFAICT.
Comment 2 _ tboudreau 2009-07-19 20:07:09 UTC
Okay, so which of the changes listed above are already supported in NetBeans modules or patches in the NetBeans-based
WTK 3.0 - those things we should just port or copy/paste or similar.  And which things will we need to support directly?
Comment 3 Karol Harezlak 2010-04-29 14:03:24 UTC
This issue is not valid any more, Java ME SDK 3.0 replaced WTK 3.0. Java ME SDK 3.0 doesn't fully support MIDP 3.0 (only some of the features).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo